#include <stdio.h>
#include <servicelog.h>
#define EXCLUDE_SERVICELOG_COMPAT_DECLS
#include <libservicelog.h>
#include "test.h"

void
v1_api_error(servicelog *slog, int error_code, const char *message)
{
	fprintf(stderr, "%s: %d: %s\n", message, error_code,
					servicelog_error(slog));
}

void
v29_api_error(struct v29_servicelog *slog, int error_code, const char *message)
{
	v1_api_error((servicelog*)slog->v1_servicelog, error_code, message);
}
